package com.cirs.biz.service.impl;

import java.util.List;
import com.cirs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.cirs.biz.mapper.TVerificationScoretaskMapper;
import com.cirs.biz.domain.TVerificationScoretask;
import com.cirs.biz.service.ITVerificationScoretaskService;

/**
 * 打分算法验证任务Service业务层处理
 * 
 * @author allen
 * @date 2023-12-10
 */
@Service
public class TVerificationScoretaskServiceImpl implements ITVerificationScoretaskService 
{
    @Autowired
    private TVerificationScoretaskMapper tVerificationScoretaskMapper;

    /**
     * 查询打分算法验证任务
     * 
     * @param id 打分算法验证任务主键
     * @return 打分算法验证任务
     */
    @Override
    public TVerificationScoretask selectTVerificationScoretaskById(Long id)
    {
        return tVerificationScoretaskMapper.selectTVerificationScoretaskById(id);
    }

    /**
     * 查询打分算法验证任务列表
     * 
     * @param tVerificationScoretask 打分算法验证任务
     * @return 打分算法验证任务
     */
    @Override
    public List<TVerificationScoretask> selectTVerificationScoretaskList(TVerificationScoretask tVerificationScoretask)
    {
        return tVerificationScoretaskMapper.selectTVerificationScoretaskList(tVerificationScoretask);
    }

    /**
     * 新增打分算法验证任务
     * 
     * @param tVerificationScoretask 打分算法验证任务
     * @return 结果
     */
    @Override
    public int insertTVerificationScoretask(TVerificationScoretask tVerificationScoretask)
    {
        tVerificationScoretask.setCreateTime(DateUtils.getNowDate());
        return tVerificationScoretaskMapper.insertTVerificationScoretask(tVerificationScoretask);
    }

    /**
     * 修改打分算法验证任务
     * 
     * @param tVerificationScoretask 打分算法验证任务
     * @return 结果
     */
    @Override
    public int updateTVerificationScoretask(TVerificationScoretask tVerificationScoretask)
    {
        tVerificationScoretask.setUpdateTime(DateUtils.getNowDate());
        return tVerificationScoretaskMapper.updateTVerificationScoretask(tVerificationScoretask);
    }

    /**
     * 批量删除打分算法验证任务
     * 
     * @param ids 需要删除的打分算法验证任务主键
     * @return 结果
     */
    @Override
    public int deleteTVerificationScoretaskByIds(Long[] ids)
    {
        return tVerificationScoretaskMapper.deleteTVerificationScoretaskByIds(ids);
    }

    /**
     * 删除打分算法验证任务信息
     * 
     * @param id 打分算法验证任务主键
     * @return 结果
     */
    @Override
    public int deleteTVerificationScoretaskById(Long id)
    {
        return tVerificationScoretaskMapper.deleteTVerificationScoretaskById(id);
    }
}
